<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>物流信息</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
    <style>
        .input {
            border-radius: 2px;
            height: 38px;
            border-width: 1px;
            border-color: lightgray;
            border-style: solid;
            background-color: white;
            padding-left: 3px;
        }

        .layui-form-label {
            width: 100px !important;
        }

        .layui-input-block {
            margin-left: 135px;
        }
    </style>
</head>
<body>

<div class="layui-fluid">
    <div class="layui-row layui-col-space15">
        <div class="layui-card">

            <div class="layui-card-body" pad15>
                <form class="layui-form" action="" lay-filter="component-form-element">
                    <div class="layui-row layui-col-space10 layui-form-item">
                        <div>
                            <label class="layui-form-label"><font color='red' size="4">*</font>快递公司：</label>
                            <div class="layui-input-block">
                                <select lay-verify="required" name="express_company" id="id_company">
                                    <option value="" >请选择快递公司</option>
                                </select>
                            </div>
                        </div>
                        <div>
                            <label class="layui-form-label"><font color='red' size="4">*</font>快递单号：</label>
                            <div class="layui-input-block">
                                <input type="text" name="express_no" lay-verify="required" placeholder="请输入快递单号" autocomplete="off" class="layui-input">
                            </div>
                        </div>

                        <button id="id_save" class="layui-btn" lay-submit lay-filter="component-form-element" style="display: none">保存
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<script src="../../layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: '../../../layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index',
    }).use(['index', 'form'], function () {
        var $ = layui.$
            , admin = layui.admin
            , form = layui.form;

        var id = layui.view.getParameterByName('id');


        if (id) {
            var editdata = JSON.parse(JSON.stringify(parent.layui.table.editdata)); // 框架有Bug所以这么转换

            form.val("component-form-element", editdata);
        }


        admin.req({
            url: '/order/dict/',
            done: function (res) {
                var data_company = res.data.express_company;
                var company_node = $('#id_company');
                for (var i in data_company) {
                    var pid = data_company[i].value;
                    var name = data_company[i].name;
                    if (editdata.express_company === pid) {
                        company_node.append("<option value='" + pid + "'selected >" + name + "</option>");
                    } else {
                        company_node.append("<option value='" + pid + "'>" + name + "</option>");
                    }
                }
                form.render()
            }
        });

        form.on('submit(component-form-element)', function (data) {
            if(typeof parent.layui.onSubmitChild !== "function"){
                return false;
            }
            admin.req({
                url: '/order/' + id + '/submit_express/'
                , data: data.field
                , type: 'post'
                , done: function (res) {
                    parent.layui.onSubmitChild(res);
                }
            });

            return false;
        });

        parent.layui.submitChild = function () {
            $("#id_save").click();
        };
    });
</script>
</body>
</html>
